Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008464 [DCSS] Bug Report text always 2014-04-29 02:57 2014-05-19 19:51
Reporter Skrybe View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008464: Friendly orc priest created w/ ?summoning threatens non-Beoghite player
Description Created an orc priest with a ?summoning, which proceeded to give the usual threats to convert to Beogh, despite being friendly. The priest also "spares your life" if you convert. I'm thinking the most straightforward fix would be to prevent summoned orcs from giving the Beogh prompt at all.
Additional Information
Tags No tags attached.
Attached Files ? file icon 8464_summoned_and_friendly_no_preaching.patch [^] (932 bytes) 2014-04-29 11:39 [Show Content]

- Relationships

-  Notes
(0025955)
qoala (reporter)
2014-04-29 10:54

I'm willing to make the necessary changes once I get some input on the best way to fix this.

Based on the way the event is structured, non-summoned and/or non-friendly are possibly useful checks. (Possibly if a player orc enslaved an orc priest before being noticed for some reason?) (Also, an opponent using ?summoning and getting a hostile summoned orc priest)

An alternative choice (independent from any changes around summoned-status) would also be to change the wording for a friendly orc priest preaching to something less hostile. "Join me in giving glory to Beogh, @playername@!", etc. The orc should probably have its underlying allegiance changed normally if it's currently charmed, while actually friendly orcs should remain so. Not sure what this should or shouldn't do for nearby orcs that may be on opposite allegiance as the orc priest.

So:
1. summoned or friendly => can't preach
2. summoned => can't preach, if otherwise friendly => different wording
3. friendly => can't preach, while being summoned doesn't matter
4. friendly => different wording, while being summoned doesn't matter
(0025956)
MarvinPA (developer)
2014-04-29 11:29
edited on: 2014-04-29 11:30

Making summoned or friendly orc priests unable to preach sounds simplest and probably best to me.

(0025958)
qoala (reporter)
2014-04-29 11:40

Uploaded a patch that adds a check against summoned and friendly when determining if a monster is currently capable of preaching Beogh.
(0025967)
Skrybe (reporter)
2014-04-29 18:59

Now that I think about it, this would prevent the player from rejoining Beogh via orc priests summoned by Beogh's wrath, I guess? That seems a little odd, but then I guess it could be justified that Beogh simply wants you dead after deserting him.
(0025973)
MarvinPA (developer)
2014-04-30 03:50
edited on: 2014-04-30 03:51

Pushed, thanks for the patch!


- Issue History
Date Modified Username Field Change
2014-04-29 02:57 Skrybe New Issue
2014-04-29 10:54 qoala Note Added: 0025955
2014-04-29 11:29 MarvinPA Note Added: 0025956
2014-04-29 11:30 MarvinPA Note Edited: 0025956
2014-04-29 11:39 qoala File Added: 8464_summoned_and_friendly_no_preaching.patch
2014-04-29 11:40 qoala Note Added: 0025958
2014-04-29 18:59 Skrybe Note Added: 0025967
2014-04-30 03:50 MarvinPA Note Added: 0025973
2014-04-30 03:50 MarvinPA Status new => resolved
2014-04-30 03:50 MarvinPA Fixed in Branch => 0.15 development branch
2014-04-30 03:50 MarvinPA Resolution open => done
2014-04-30 03:50 MarvinPA Assigned To => MarvinPA
2014-04-30 03:51 MarvinPA Note Edited: 0025973
2014-05-19 19:51 Skrybe Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker